version: '3.8'

services:
  gateway:
    image: yudao-gateway:v1.0
    container_name: yudao-gateway
    ports:
      - "48080:48080"
    environment:
      SPRING_PROFILES_ACTIVE: dev

  system:
    image: yudao-module-system:v1.0
    container_name: yudao-module-system
    ports:
      - "48081:48081"
    environment:
      SPRING_PROFILES_ACTIVE: dev

  infra:
    image: yudao-module-infra:v1.0
    container_name: yudao-module-infra
    ports:
      - "48082:48082"
    environment:
      SPRING_PROFILES_ACTIVE: dev